#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n, k, comb = 0;
    cin >> n >> k;
    int a[k];
    for(int i = 0 ; i < k; i++) cin >> a[i];
    vector <int> vysoty;
    bool bbb, bb;
    for(int i = 1; i <= n; i++){
        for(int j = 1; j <= n; j++)
        {
            bbb = false;
            bb = false;
            for(int sch = 0; sch < k; sch++){
                if(a[sch] == j)
                    bb = true;
                if(a[sch] == i)
                    bbb = true;
                if(bb || bbb) break;
            }
            if(bbb) break;
            if(bb) continue;
            int ipj = i + j;
            for(int i = 0; i < vysoty.size(); i++)
            if(ipj == vysoty[i]) {bb = true; break;}
            if(!bb)
            {
                vysoty.insert(vysoty.begin(), ipj);
                comb++;
            }
        }
        if(bbb) continue;
    }
    cout << comb;
    return 0;
}
